Project Chrono: chrono::ChCollisionInfo Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
chrono::ChCollisionInfo Class Reference
Chrono::Engine » Collision detection

## Description

Class defining basic geometric information for collision pairs.

`#include <ChCollisionInfo.h>`

Collaboration diagram for chrono::ChCollisionInfo:
[legend]

## Public Member Functions
| ChCollisionInfo ()
| Basic default constructor.
| ChCollisionInfo (const ChCollisionInfo &other, const bool swap=false)
| Copy from other.
void | SwapModels ()
| Swap models, that is modelA becomes modelB and viceversa.

## Static Public Member Functions
static void | SetDefaultEffectiveCurvatureRadius (double eff_radius)
| Set the default effective radius of curvature (for SMC contact).
static double | GetDefaultEffectiveCurvatureRadius ()
| Return the current value of the default effective radius of curvature.

## Public Attributes
ChCollisionModel * | modelA
| model A
ChCollisionModel * | modelB
| model B
ChCollisionShape * | shapeA
| collision shape in model A
ChCollisionShape * | shapeB
| collision shape in model B
ChVector3d | vpA
| coll.point on A, in abs coords
ChVector3d | vpB
| coll.point on B, in abs coords
ChVector3d | vN
| coll.normal, respect to A, in abs coords
double | distance
| distance (negative for penetration)
double | eff_radius
| effective radius of curvature at contact (SMC only)
float * | reaction_cache
| pointer to some persistent user cache of reactions

## Member Function Documentation

## ◆ SetDefaultEffectiveCurvatureRadius()

void chrono::ChCollisionInfo::SetDefaultEffectiveCurvatureRadius | ( | double | eff_radius | ) |
| static

Set the default effective radius of curvature (for SMC contact).

    A collision system should evaluate this value for each collision using
        1/r_eff = 1/rA + 1/rB
    where rA and rB are the radii of curvature of the two surfaces at the contact point.

If a collision system does not set this quantity, all collisions use this default value.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/collision/ChCollisionInfo.h
- D:/W/B/src/chrono-9.0.1/src/chrono/collision/ChCollisionInfo.cpp